想问下如何解决无法定位软件包的问题

为当前最终发行版之前的所有版本提供支持
回复
fantuanwoaini
帖子: 2
注册时间: 2018-03-25 7:53
送出感谢: 1 次
接收感谢: 0

想问下如何解决无法定位软件包的问题

#1

帖子 fantuanwoaini » 2018-03-25 8:23

sudo apt-get install python-scipy
之后告诉我无法定位软件包
sudo apt-get update
之后有一大堆忽略,只有几个命中
最后还有这些提示
W: 仓库 “http://archive.ubuntu.com/ubuntu zesty Release” 没有 Release 文件。
N: 无法认证来自该源的数据,所以使用它会带来潜在风险。
N: 参见 apt-secure(8) 手册以了解仓库创建和用户配置方面的细节。
E: 无法下载 http://archive.ubuntu.com/ubuntu/dists/ ... 6/Packages 404 Not Found [IP: 2001:67c:1360:8001::17%3 80]

之前我跟着一些教程,把/etc/apt/source.list给清空了还没备份,不知道有没有问题啊
其实在我清空List之前不会提示无法定位包,不过同样是无法下载,404错误
请问如何解决呢
poloshiao
论坛版主
帖子: 17996
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1914 次

Re: 想问下如何解决无法定位软件包的问题

#2

帖子 poloshiao » 2018-03-25 10:44

W: 仓库 “http://archive.ubuntu.com/ubuntu zesty Release” 没有 Release 文件。
sudo apt-get install python-scipy
之后告诉我无法定位软件包
1. https://wiki.ubuntu.com/ZestyZapus/Rele ... t_lifespan
Ubuntu 17.04 will be supported for 9 months until January 2018.
1-1 Ubuntu 17.04 2018/02 以後ˇ不再支援 線上安裝/更新

2. 建議
升級 17.04 --> 17.10 --> 18.04 (有決定要升級 請再貼文) 或 全新安裝 18.04

3. 如果基於某些原因 一定要在 17.04 安裝 python-scipy 請再貼文
这些用户感谢了作者 poloshiao 于这个帖子:
fantuanwoaini (2018-03-25 19:32)
评价: 3.7%
fuhuizn
帖子: 712
注册时间: 2006-01-06 22:55
系统: ubuntu
送出感谢: 0
接收感谢: 11 次
联系:

Re: 想问下如何解决无法定位软件包的问题

#3

帖子 fuhuizn » 2018-03-25 16:18

打开mirrors.163.com,看ubuntu后面的帮助,照着该source.list
fantuanwoaini
帖子: 2
注册时间: 2018-03-25 7:53
送出感谢: 1 次
接收感谢: 0

Re: 想问下如何解决无法定位软件包的问题

#4

帖子 fantuanwoaini » 2018-03-25 19:34

2. 建議
升級 17.04 --> 17.10 --> 18.04 (有決定要升級 請再貼文) 或 全新安裝 18.04

解决了,感谢
回复

回到 “老旧版本支持”